Subject: Re: Connecting SGMII PHY to eTSEC1 on P1022

From: Felix Radensky <[email-masked]>
Date: Thu, 23 Jun 2011 23:43:03 +0300

Hi,

On 06/22/2011 08:12 PM, Felix Radensky wrote:
> Hi Timur,
>
> On 06/22/2011 07:18 PM, Timur Tabi wrote:
>> Felix Radensky wrote:
>>> What am I doing wrong ?
>> Can you debug the PHY driver to see if it's getting called and 
>> trying to talk to
>> the PHY itself?
>>
> I'll do that tomorrow and report back.

I've found the problem by looking at the code. My SGMII PHY is Marvell 
88E1112.
Marvell PHY driver claims it supports that PHY, but in reality it 
doesn't. It uses
routines initially written for 88E1111 to configure 88E1112, 
essentially writing
to registers that do not exist on that PHY. After disabling Marvell 
PHY driver my
PHY started working.

Felix.